Skip to main content
GET
/
api
/
v1
/
passes
/
{id}
Get pass
curl --request GET \
  --url https://api.passentry.com/api/v1/passes/{id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.passentry.com/api/v1/passes/{id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.passentry.com/api/v1/passes/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "id": "d2ac8d95-6914-4cac-957c-2a5ccf534390",
    "type": "pass",
    "attributes": {
      "downloadUrl": "https://www.example.com?pass=d2ac8d95-6914-4cac-957c-2a5ccf534390",
      "passType": "generic",
      "createdAt": "2022-01-01T00:00:00Z",
      "status": "issued",
      "extId": "b1985e420025dd92ccf2",
      "passTemplateUuid": "2e2d7ee8c306e8f0223dbdc1",
      "passTemplateName": "PassEntry Ticketing",
      "nfc": null,
      "barcode": {},
      "passContent": {
        "fullName": "John Johnson"
      }
    }
  }
}
{
"errors": [
"Access denied"
]
}
{
"errors": [
"Pass with provided id not found"
]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Pass UUID or External ID

Query Parameters

includePassDesign
boolean

If true, includes the pass design in the response

includeLocations
boolean

If true, includes the locations in the response if any are present

includeBeacons
boolean

If true, includes the beacons in the response if any are present

includePassSource
enum<string>

Used when delivering the pass directly to the passholder, without using PassEntry's download page. Choose one of Apple/Google, includes the pass source in the response. The passSource object is only included if the pass is not currently 'active'

Available options:
apple,
google

Response

Successful

data
object